Subject: Re: [PATCH net-next 12/13] selftests: ncdevmem: Move ncdevmem under drivers/net

From: Stanislav Fomichev <[email-masked]>
Date: Fri, 13 Sep 2024 10:19:06 -0700

On 09/13, Mina Almasry wrote:
> On Thu, Sep 12, 2024 at 10:13 AM Stanislav Fomichev <[email-masked]> wrote:
> >
> > This is where all the tests that depend on the HW functionality live in
> 
> Is this true? My impression is that selftests/net verifies core
> functionality and drivers/net verifies more lower level driver
> (specific?) functionality. There are tests in selftests/net that
> depend on HW functionality, I think like bpf_offload.py.
> 
> devmem tcp in my mind is primarily a core functionality and a lot of
> effort was put into making the driver bits of it as minimal as
> possible. Is there a need to move it or is this preference?

I'm wrong and it is actually drivers/net/hw, not drivers/net. But yes,
the driver/net/hw is the directory for the tests that depend on some
HW functionality (NIPA doesn't run the tests in this directory; but
the vendors eventually will). And until/if we get to loopback mode [1],
there is no way to run ncdevmem without special HW :-(

1: https://lore.kernel.org/netdev/[email-masked]/T/#m4fc52463857c19ad432db656c433cffdf74477a4